
CC = LANG=C gcc
LD = ld

CFLAGS = -pthread -g -O0 -Wall -I../src
LDFLAGS = -pthread -g


TARGET = testserver
TOBJ = server.o Session.o Response.o

LIB = ../libhtlib.a

all: $(TARGET)

$(TARGET): $(TOBJ) $(LIB)
	$(CC) $(LDFLAGS) -o $@ $(TOBJ) $(LIB)

clean:
	rm -f $(TARGET) $(TOBJ) *~

test:
